<div class="card-body">
  <div class="input-group">
    <span class="input-group-btn">
      <button 
        type="button" 
        [ngClass]="btnClass"
        (click)="cambiarValor(-5)"
      >
        <i class="fa fa-minus"></i>
      </button>
    </span>
    <input 
      [(ngModel)]="progreso"
      [ngClass]="{'is-invalid': progreso > 100 || progreso < 0 }"
      (ngModelChange)="onChange($event)"
      type="number" 
      class="form-control" 
      placeholder="Product name" />
    <span class="input-group-btn">
      <button
        type="button" 
        [ngClass]="btnClass"
        (click)="cambiarValor(5)"
      >
        <i class="fa fa-plus"></i>
      </button>
    </span>
  </div>
</div>